Bug 809312 - RFE: Copyright and license assignation from topics
RFE: Copyright and license assignation from topics
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: ---
: 1.2
Assigned To: Matthew Casperson
:
Depends On:
Blocks: 1012194 1012754
  Show dependency treegraph
 
Reported: 2012-04-03 01:06 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1012754 (view as bug list)
Environment:
Last Closed: 2013-10-17 19:49:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-03 01:06:19 EDT
Right now we hardcode the copyright into the Content Spec.

The copyright, and license, should come from the topics that are in the book, however - in the same way that author information does. 

So the topics need licensing and copyright information, and the processor needs to derive the information from that.

To support a wider use case than "ECS books" it will need to generate a copyright information file with merged copyright and license information.
Comment 1 Lee Newson 2012-07-05 19:53:17 EDT
Moving this to the Skynet queue as it is a change required by Skynet as well and will need to be done first/at the same time.
Comment 2 Ruediger Landmann 2013-09-25 20:58:42 EDT
Our manuals currently comprise material created under a variety of "copyleft" licences. Unfortunately, not all of these licences are interoperable. We need to have a way of flagging material that is licenced differently from our default CC-BY-SA.

We need to store at least the copyright owner and the licenses under which it's published (remembering that some content might be multilicensed). A further enhancement would be to warn or block incompatible licensing. (for example, GFDL material appearing in a book that's licensed only CC-BY-SA).
Comment 3 Matthew Casperson 2013-09-25 22:39:44 EDT
Is there some way to know what licenses are incompatible (without actually knowing anything about the license itself)?
Comment 4 Joshua Wulf 2013-09-25 23:19:27 EDT
Maybe a compatibility matrix framework, populatde with information from Richard Fontana / legal?

Here are some abstractions:

Semantic web (RDF, which enables machine reasoning):
http://iswc2012.semanticweb.org/sites/default/files/paper_23.pdf
http://answers.semanticweb.com/questions/388/what-things-should-you-include-to-describe-the-current-rdf-document
http://creativecommons.org/ns

Less extensible (conclusions are hardwired):
http://stackoverflow.com/questions/1978511/is-there-a-chart-of-which-oss-license-is-compatible-with-which
Comment 5 Joshua Wulf 2013-09-25 23:21:09 EDT
Also: http://ceur-ws.org/Vol-905/VillataAndGandon_COLD2012.pdf
Comment 8 Matthew Casperson 2013-09-27 01:22:15 EDT
Sorry, those two special tag names should be:

License Compatibility Info
License Incompatibility Info
Comment 9 Lee Newson 2013-10-17 18:39:47 EDT
Verified that this works as mentioned.

There is a slight usability issue I believe, in that the license names are hyperlinks and clicking them just goes back to the up to the list of licences. 

However that isn't a blocker, so marking this as RELEASE_PENDING.

Note You need to log in before you can comment on or make changes to this bug.